/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCanvasPattern_H___INT_
#define __GdomCanvasPattern_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "CanvasPattern.h"
namespace WebCore {
    gpointer toGDOM(CanvasPattern* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMCanvasPattern : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CANVAS_PATTERN; }
    GDOMCanvasPattern(PassRefPtr<WebCore::CanvasPattern> impl);
    virtual ~GDOMCanvasPattern();
    WebCore::CanvasPattern* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::CanvasPattern> m_impl;
};
G_END_DECLS

#endif /* __GdomCanvasPattern_H___INT_*/
